<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-ligne-vente-heading" jhiTranslate="winpharmApp.ligneVente.home.createOrEditLabel">Create or edit a Ligne Vente</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.designationProduit" for="field_designationProduit">Designation Produit</label>
                    <input type="text" class="form-control" name="designationProduit" id="field_designationProduit"
                           formControlName="designationProduit"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.prixProduit" for="field_prixProduit">Prix Produit</label>
                    <input type="number" class="form-control" name="prixProduit" id="field_prixProduit"
                           formControlName="prixProduit"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.quantite" for="field_quantite">Quantite</label>
                    <input type="number" class="form-control" name="quantite" id="field_quantite"
                           formControlName="quantite"/>
                    <div *ngIf="editForm.get('quantite').invalid && (editForm.get('quantite').dirty || editForm.get('quantite').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('quantite').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('quantite').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('quantite')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.sousTotal" for="field_sousTotal">Sous Total</label>
                    <input type="number" class="form-control" name="sousTotal" id="field_sousTotal"
                           formControlName="sousTotal"/>
                    <div *ngIf="editForm.get('sousTotal').invalid && (editForm.get('sousTotal').dirty || editForm.get('sousTotal').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('sousTotal').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('sousTotal')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.sousTotalHT" for="field_sousTotalHT">Sous Total HT</label>
                    <input type="number" class="form-control" name="sousTotalHT" id="field_sousTotalHT"
                           formControlName="sousTotalHT"/>
                    <div *ngIf="editForm.get('sousTotalHT').invalid && (editForm.get('sousTotalHT').dirty || editForm.get('sousTotalHT').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('sousTotalHT').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('sousTotalHT')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.produit" for="field_produit">Produit</label>
                    <select class="form-control" id="field_produit" name="produit" formControlName="produit">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="produitOption.id === editForm.get('produit').value?.id ? editForm.get('produit').value : produitOption" *ngFor="let produitOption of produits; trackBy: trackProduitById">{{produitOption.id}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.ligneVente.vente" for="field_vente">Vente</label>
                    <select class="form-control" id="field_vente" name="vente" formControlName="vente">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="venteOption.id === editForm.get('vente').value?.id ? editForm.get('vente').value : venteOption" *ngFor="let venteOption of ventes; trackBy: trackVenteById">{{venteOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
